# Usage events

Usage events if received from the network providers will be pushed to the configured endpoint in below format.

```
{
  "account_name": "ABC",
  "account_no": 123456789,
  "data": 0,
  "direction": "MO",
  "eid": "12345611014230000000000001234567",
  "iccid": "1234042000001312345",
  "mcc": "272",
  "mnc": "05",
  "rule_details": {
    "name": "UR Test",
    "event": "Usage Records",
    "category": "Create stream",
    "parameters": null
  },
  "session_end_time": "2024-01-06T14:22:20.000000Z",
  "session_start_time": "2024-01-06T11:22:14.000000Z",
  "sms": 0,
  "voice": 0
}
```

| Item                 | Description                                                                                                                                                   |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| account\_name        | Account name                                                                                                                                                  |
| account\_no          | Account number                                                                                                                                                |
| data                 | Volume of data usage in bytes                                                                                                                                 |
| sms                  | Volume of SMS usage. Number of SMSs.                                                                                                                          |
| voice                | Volume of voice usage in seconds                                                                                                                              |
| direction            | <p>Direction of usage if available from network provider.<br>- MO<br>- MT</p>                                                                                 |
| eid                  | EID of the physical eSIM                                                                                                                                      |
| iccid                | ICCID of the SIM Profile on which usage occurred                                                                                                              |
| mcc                  | Mobile Country Code of the country where usage occurred                                                                                                       |
| mnc                  | Mobile Network Code of the network on which usage occurred                                                                                                    |
| rule\_details        | Details of the rule that is enabled to create the notifications via webhook                                                                                   |
| session\_start\_time | Start time of the usage session if received from the network provider.                                                                                        |
| session\_end\_time   | End time of the usage session if received from the network provider. If not received from provider system will use the timestamp when the event was received. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.connectedyou.io/knowledge-base/connectedyou-platform/api-docs/apis-reference/webhooks/usage-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
